// source: v1/order/model_cancel_fast_deal_item.proto
/**
 * @fileoverview
 * @enhanceable
 * @suppress {messageConventions} JS Compiler reports an error if a variable or
 *     field starts with 'MSG_' and isn't a translatable message.
 * @public
 */
// GENERATED CODE -- DO NOT EDIT!

var jspb = require('google-protobuf');
var goog = jspb;
var global = Function('return this')();

var google_protobuf_timestamp_pb = require('google-protobuf/google/protobuf/timestamp_pb.js');
goog.object.extend(proto, google_protobuf_timestamp_pb);
var google_protobuf_wrappers_pb = require('google-protobuf/google/protobuf/wrappers_pb.js');
goog.object.extend(proto, google_protobuf_wrappers_pb);
var v1_order_common_pb = require('../../v1/order/common_pb.js');
goog.object.extend(proto, v1_order_common_pb);
var v1_order_enum_pb = require('../../v1/order/enum_pb.js');
goog.object.extend(proto, v1_order_enum_pb);
var v1_order_model_deal_pb = require('../../v1/order/model_deal_pb.js');
goog.object.extend(proto, v1_order_model_deal_pb);
goog.exportSymbol('proto.fcp.order.v1.order.CancelFastDealItem', null, global);
goog.exportSymbol('proto.fcp.order.v1.order.CancelFastDealItem.Status', null, global);
goog.exportSymbol('proto.fcp.order.v1.order.CancelFastDealItem.StatusValue', null, global);
goog.exportSymbol('proto.fcp.order.v1.order.CancelFastDealItemFilter', null, global);
goog.exportSymbol('proto.fcp.order.v1.order.GetCancelFastDealItemRequest', null, global);
goog.exportSymbol('proto.fcp.order.v1.order.GetCancelFastDealItemResponse', null, global);
goog.exportSymbol('proto.fcp.order.v1.order.ListCancelFastDealItemRequest', null, global);
goog.exportSymbol('proto.fcp.order.v1.order.ListCancelFastDealItemResponse', null, global);
goog.exportSymbol('proto.fcp.order.v1.order.SaveCancelFastDealItemRequest', null, global);
goog.exportSymbol('proto.fcp.order.v1.order.SaveCancelFastDealItemResponse', null, global);
/**
 * Generated by JsPbCodeGenerator.
 * @param {Array=} opt_data Optional initial data array, typically from a
 * server response, or constructed directly in Javascript. The array is used
 * in place and becomes part of the constructed object. It is not cloned.
 * If no data is provided, the constructed object will be empty, but still
 * valid.
 * @extends {jspb.Message}
 * @constructor
 */
proto.fcp.order.v1.order.CancelFastDealItem = function(opt_data) {
  jspb.Message.initialize(this, opt_data, 0, -1, null, null);
};
goog.inherits(proto.fcp.order.v1.order.CancelFastDealItem, jspb.Message);
if (goog.DEBUG && !COMPILED) {
  /**
   * @public
   * @override
   */
  proto.fcp.order.v1.order.CancelFastDealItem.displayName = 'proto.fcp.order.v1.order.CancelFastDealItem';
}
/**
 * Generated by JsPbCodeGenerator.
 * @param {Array=} opt_data Optional initial data array, typically from a
 * server response, or constructed directly in Javascript. The array is used
 * in place and becomes part of the constructed object. It is not cloned.
 * If no data is provided, the constructed object will be empty, but still
 * valid.
 * @extends {jspb.Message}
 * @constructor
 */
proto.fcp.order.v1.order.CancelFastDealItem.StatusValue = function(opt_data) {
  jspb.Message.initialize(this, opt_data, 0, -1, null, null);
};
goog.inherits(proto.fcp.order.v1.order.CancelFastDealItem.StatusValue, jspb.Message);
if (goog.DEBUG && !COMPILED) {
  /**
   * @public
   * @override
   */
  proto.fcp.order.v1.order.CancelFastDealItem.StatusValue.displayName = 'proto.fcp.order.v1.order.CancelFastDealItem.StatusValue';
}
/**
 * Generated by JsPbCodeGenerator.
 * @param {Array=} opt_data Optional initial data array, typically from a
 * server response, or constructed directly in Javascript. The array is used
 * in place and becomes part of the constructed object. It is not cloned.
 * If no data is provided, the constructed object will be empty, but still
 * valid.
 * @extends {jspb.Message}
 * @constructor
 */
proto.fcp.order.v1.order.CancelFastDealItemFilter = function(opt_data) {
  jspb.Message.initialize(this, opt_data, 0, -1, proto.fcp.order.v1.order.CancelFastDealItemFilter.repeatedFields_, null);
};
goog.inherits(proto.fcp.order.v1.order.CancelFastDealItemFilter, jspb.Message);
if (goog.DEBUG && !COMPILED) {
  /**
   * @public
   * @override
   */
  proto.fcp.order.v1.order.CancelFastDealItemFilter.displayName = 'proto.fcp.order.v1.order.CancelFastDealItemFilter';
}
/**
 * Generated by JsPbCodeGenerator.
 * @param {Array=} opt_data Optional initial data array, typically from a
 * server response, or constructed directly in Javascript. The array is used
 * in place and becomes part of the constructed object. It is not cloned.
 * If no data is provided, the constructed object will be empty, but still
 * valid.
 * @extends {jspb.Message}
 * @constructor
 */
proto.fcp.order.v1.order.ListCancelFastDealItemRequest = function(opt_data) {
  jspb.Message.initialize(this, opt_data, 0, -1, proto.fcp.order.v1.order.ListCancelFastDealItemRequest.repeatedFields_, null);
};
goog.inherits(proto.fcp.order.v1.order.ListCancelFastDealItemRequest, jspb.Message);
if (goog.DEBUG && !COMPILED) {
  /**
   * @public
   * @override
   */
  proto.fcp.order.v1.order.ListCancelFastDealItemRequest.displayName = 'proto.fcp.order.v1.order.ListCancelFastDealItemRequest';
}
/**
 * Generated by JsPbCodeGenerator.
 * @param {Array=} opt_data Optional initial data array, typically from a
 * server response, or constructed directly in Javascript. The array is used
 * in place and becomes part of the constructed object. It is not cloned.
 * If no data is provided, the constructed object will be empty, but still
 * valid.
 * @extends {jspb.Message}
 * @constructor
 */
proto.fcp.order.v1.order.ListCancelFastDealItemResponse = function(opt_data) {
  jspb.Message.initialize(this, opt_data, 0, -1, proto.fcp.order.v1.order.ListCancelFastDealItemResponse.repeatedFields_, null);
};
goog.inherits(proto.fcp.order.v1.order.ListCancelFastDealItemResponse, jspb.Message);
if (goog.DEBUG && !COMPILED) {
  /**
   * @public
   * @override
   */
  proto.fcp.order.v1.order.ListCancelFastDealItemResponse.displayName = 'proto.fcp.order.v1.order.ListCancelFastDealItemResponse';
}
/**
 * Generated by JsPbCodeGenerator.
 * @param {Array=} opt_data Optional initial data array, typically from a
 * server response, or constructed directly in Javascript. The array is used
 * in place and becomes part of the constructed object. It is not cloned.
 * If no data is provided, the constructed object will be empty, but still
 * valid.
 * @extends {jspb.Message}
 * @constructor
 */
proto.fcp.order.v1.order.GetCancelFastDealItemRequest = function(opt_data) {
  jspb.Message.initialize(this, opt_data, 0, -1, null, null);
};
goog.inherits(proto.fcp.order.v1.order.GetCancelFastDealItemRequest, jspb.Message);
if (goog.DEBUG && !COMPILED) {
  /**
   * @public
   * @override
   */
  proto.fcp.order.v1.order.GetCancelFastDealItemRequest.displayName = 'proto.fcp.order.v1.order.GetCancelFastDealItemRequest';
}
/**
 * Generated by JsPbCodeGenerator.
 * @param {Array=} opt_data Optional initial data array, typically from a
 * server response, or constructed directly in Javascript. The array is used
 * in place and becomes part of the constructed object. It is not cloned.
 * If no data is provided, the constructed object will be empty, but still
 * valid.
 * @extends {jspb.Message}
 * @constructor
 */
proto.fcp.order.v1.order.GetCancelFastDealItemResponse = function(opt_data) {
  jspb.Message.initialize(this, opt_data, 0, -1, null, null);
};
goog.inherits(proto.fcp.order.v1.order.GetCancelFastDealItemResponse, jspb.Message);
if (goog.DEBUG && !COMPILED) {
  /**
   * @public
   * @override
   */
  proto.fcp.order.v1.order.GetCancelFastDealItemResponse.displayName = 'proto.fcp.order.v1.order.GetCancelFastDealItemResponse';
}
/**
 * Generated by JsPbCodeGenerator.
 * @param {Array=} opt_data Optional initial data array, typically from a
 * server response, or constructed directly in Javascript. The array is used
 * in place and becomes part of the constructed object. It is not cloned.
 * If no data is provided, the constructed object will be empty, but still
 * valid.
 * @extends {jspb.Message}
 * @constructor
 */
proto.fcp.order.v1.order.SaveCancelFastDealItemRequest = function(opt_data) {
  jspb.Message.initialize(this, opt_data, 0, -1, null, null);
};
goog.inherits(proto.fcp.order.v1.order.SaveCancelFastDealItemRequest, jspb.Message);
if (goog.DEBUG && !COMPILED) {
  /**
   * @public
   * @override
   */
  proto.fcp.order.v1.order.SaveCancelFastDealItemRequest.displayName = 'proto.fcp.order.v1.order.SaveCancelFastDealItemRequest';
}
/**
 * Generated by JsPbCodeGenerator.
 * @param {Array=} opt_data Optional initial data array, typically from a
 * server response, or constructed directly in Javascript. The array is used
 * in place and becomes part of the constructed object. It is not cloned.
 * If no data is provided, the constructed object will be empty, but still
 * valid.
 * @extends {jspb.Message}
 * @constructor
 */
proto.fcp.order.v1.order.SaveCancelFastDealItemResponse = function(opt_data) {
  jspb.Message.initialize(this, opt_data, 0, -1, null, null);
};
goog.inherits(proto.fcp.order.v1.order.SaveCancelFastDealItemResponse, jspb.Message);
if (goog.DEBUG && !COMPILED) {
  /**
   * @public
   * @override
   */
  proto.fcp.order.v1.order.SaveCancelFastDealItemResponse.displayName = 'proto.fcp.order.v1.order.SaveCancelFastDealItemResponse';
}



if (jspb.Message.GENERATE_TO_OBJECT) {
/**
 * Creates an object representation of this proto.
 * Field names that are reserved in JavaScript and will be renamed to pb_name.
 * Optional fields that are not set will be set to undefined.
 * To access a reserved field use, foo.pb_<name>, eg, foo.pb_default.
 * For the list of reserved names please see:
 *     net/proto2/compiler/js/internal/generator.cc#kKeyword.
 * @param {boolean=} opt_includeInstance Deprecated. whether to include the
 *     JSPB instance for transitional soy proto support:
 *     http://goto/soy-param-migration
 * @return {!Object}
 */
proto.fcp.order.v1.order.CancelFastDealItem.prototype.toObject = function(opt_includeInstance) {
  return proto.fcp.order.v1.order.CancelFastDealItem.toObject(opt_includeInstance, this);
};


/**
 * Static version of the {@see toObject} method.
 * @param {boolean|undefined} includeInstance Deprecated. Whether to include
 *     the JSPB instance for transitional soy proto support:
 *     http://goto/soy-param-migration
 * @param {!proto.fcp.order.v1.order.CancelFastDealItem} msg The msg instance to transform.
 * @return {!Object}
 * @suppress {unusedLocalVariables} f is only used for nested messages
 */
proto.fcp.order.v1.order.CancelFastDealItem.toObject = function(includeInstance, msg) {
  var f, obj = {
    id: jspb.Message.getFieldWithDefault(msg, 1, 0),
    externalId: jspb.Message.getFieldWithDefault(msg, 2, ""),
    status: jspb.Message.getFieldWithDefault(msg, 3, 0),
    fastDealItemId: jspb.Message.getFieldWithDefault(msg, 8, 0),
    fastDealItemExternalId: jspb.Message.getFieldWithDefault(msg, 4, ""),
    reason: jspb.Message.getFieldWithDefault(msg, 5, 0),
    reasonComment: jspb.Message.getFieldWithDefault(msg, 6, ""),
    adminId: jspb.Message.getFieldWithDefault(msg, 7, ""),
    description: jspb.Message.getFieldWithDefault(msg, 21, ""),
    audit: (f = msg.getAudit()) && v1_order_common_pb.Audit.toObject(includeInstance, f)
  };

  if (includeInstance) {
    obj.$jspbMessageInstance = msg;
  }
  return obj;
};
}


/**
 * Deserializes binary data (in protobuf wire format).
 * @param {jspb.ByteSource} bytes The bytes to deserialize.
 * @return {!proto.fcp.order.v1.order.CancelFastDealItem}
 */
proto.fcp.order.v1.order.CancelFastDealItem.deserializeBinary = function(bytes) {
  var reader = new jspb.BinaryReader(bytes);
  var msg = new proto.fcp.order.v1.order.CancelFastDealItem;
  return proto.fcp.order.v1.order.CancelFastDealItem.deserializeBinaryFromReader(msg, reader);
};


/**
 * Deserializes binary data (in protobuf wire format) from the
 * given reader into the given message object.
 * @param {!proto.fcp.order.v1.order.CancelFastDealItem} msg The message object to deserialize into.
 * @param {!jspb.BinaryReader} reader The BinaryReader to use.
 * @return {!proto.fcp.order.v1.order.CancelFastDealItem}
 */
proto.fcp.order.v1.order.CancelFastDealItem.deserializeBinaryFromReader = function(msg, reader) {
  while (reader.nextField()) {
    if (reader.isEndGroup()) {
      break;
    }
    var field = reader.getFieldNumber();
    switch (field) {
    case 1:
      var value = /** @type {number} */ (reader.readInt64());
      msg.setId(value);
      break;
    case 2:
      var value = /** @type {string} */ (reader.readString());
      msg.setExternalId(value);
      break;
    case 3:
      var value = /** @type {!proto.fcp.order.v1.order.CancelFastDealItem.Status} */ (reader.readEnum());
      msg.setStatus(value);
      break;
    case 8:
      var value = /** @type {number} */ (reader.readInt64());
      msg.setFastDealItemId(value);
      break;
    case 4:
      var value = /** @type {string} */ (reader.readString());
      msg.setFastDealItemExternalId(value);
      break;
    case 5:
      var value = /** @type {!proto.fcp.order.v1.order.CancelClaimReason} */ (reader.readEnum());
      msg.setReason(value);
      break;
    case 6:
      var value = /** @type {string} */ (reader.readString());
      msg.setReasonComment(value);
      break;
    case 7:
      var value = /** @type {string} */ (reader.readString());
      msg.setAdminId(value);
      break;
    case 21:
      var value = /** @type {string} */ (reader.readString());
      msg.setDescription(value);
      break;
    case 22:
      var value = new v1_order_common_pb.Audit;
      reader.readMessage(value,v1_order_common_pb.Audit.deserializeBinaryFromReader);
      msg.setAudit(value);
      break;
    default:
      reader.skipField();
      break;
    }
  }
  return msg;
};


/**
 * Serializes the message to binary data (in protobuf wire format).
 * @return {!Uint8Array}
 */
proto.fcp.order.v1.order.CancelFastDealItem.prototype.serializeBinary = function() {
  var writer = new jspb.BinaryWriter();
  proto.fcp.order.v1.order.CancelFastDealItem.serializeBinaryToWriter(this, writer);
  return writer.getResultBuffer();
};


/**
 * Serializes the given message to binary data (in protobuf wire
 * format), writing to the given BinaryWriter.
 * @param {!proto.fcp.order.v1.order.CancelFastDealItem} message
 * @param {!jspb.BinaryWriter} writer
 * @suppress {unusedLocalVariables} f is only used for nested messages
 */
proto.fcp.order.v1.order.CancelFastDealItem.serializeBinaryToWriter = function(message, writer) {
  var f = undefined;
  f = message.getId();
  if (f !== 0) {
    writer.writeInt64(
      1,
      f
    );
  }
  f = message.getExternalId();
  if (f.length > 0) {
    writer.writeString(
      2,
      f
    );
  }
  f = message.getStatus();
  if (f !== 0.0) {
    writer.writeEnum(
      3,
      f
    );
  }
  f = message.getFastDealItemId();
  if (f !== 0) {
    writer.writeInt64(
      8,
      f
    );
  }
  f = message.getFastDealItemExternalId();
  if (f.length > 0) {
    writer.writeString(
      4,
      f
    );
  }
  f = message.getReason();
  if (f !== 0.0) {
    writer.writeEnum(
      5,
      f
    );
  }
  f = message.getReasonComment();
  if (f.length > 0) {
    writer.writeString(
      6,
      f
    );
  }
  f = message.getAdminId();
  if (f.length > 0) {
    writer.writeString(
      7,
      f
    );
  }
  f = message.getDescription();
  if (f.length > 0) {
    writer.writeString(
      21,
      f
    );
  }
  f = message.getAudit();
  if (f != null) {
    writer.writeMessage(
      22,
      f,
      v1_order_common_pb.Audit.serializeBinaryToWriter
    );
  }
};


/**
 * @enum {number}
 */
proto.fcp.order.v1.order.CancelFastDealItem.Status = {
  ACTIVE: 0,
  REJECT: 1,
  DONE: 2
};




if (jspb.Message.GENERATE_TO_OBJECT) {
/**
 * Creates an object representation of this proto.
 * Field names that are reserved in JavaScript and will be renamed to pb_name.
 * Optional fields that are not set will be set to undefined.
 * To access a reserved field use, foo.pb_<name>, eg, foo.pb_default.
 * For the list of reserved names please see:
 *     net/proto2/compiler/js/internal/generator.cc#kKeyword.
 * @param {boolean=} opt_includeInstance Deprecated. whether to include the
 *     JSPB instance for transitional soy proto support:
 *     http://goto/soy-param-migration
 * @return {!Object}
 */
proto.fcp.order.v1.order.CancelFastDealItem.StatusValue.prototype.toObject = function(opt_includeInstance) {
  return proto.fcp.order.v1.order.CancelFastDealItem.StatusValue.toObject(opt_includeInstance, this);
};


/**
 * Static version of the {@see toObject} method.
 * @param {boolean|undefined} includeInstance Deprecated. Whether to include
 *     the JSPB instance for transitional soy proto support:
 *     http://goto/soy-param-migration
 * @param {!proto.fcp.order.v1.order.CancelFastDealItem.StatusValue} msg The msg instance to transform.
 * @return {!Object}
 * @suppress {unusedLocalVariables} f is only used for nested messages
 */
proto.fcp.order.v1.order.CancelFastDealItem.StatusValue.toObject = function(includeInstance, msg) {
  var f, obj = {
    value: jspb.Message.getFieldWithDefault(msg, 1, 0)
  };

  if (includeInstance) {
    obj.$jspbMessageInstance = msg;
  }
  return obj;
};
}


/**
 * Deserializes binary data (in protobuf wire format).
 * @param {jspb.ByteSource} bytes The bytes to deserialize.
 * @return {!proto.fcp.order.v1.order.CancelFastDealItem.StatusValue}
 */
proto.fcp.order.v1.order.CancelFastDealItem.StatusValue.deserializeBinary = function(bytes) {
  var reader = new jspb.BinaryReader(bytes);
  var msg = new proto.fcp.order.v1.order.CancelFastDealItem.StatusValue;
  return proto.fcp.order.v1.order.CancelFastDealItem.StatusValue.deserializeBinaryFromReader(msg, reader);
};


/**
 * Deserializes binary data (in protobuf wire format) from the
 * given reader into the given message object.
 * @param {!proto.fcp.order.v1.order.CancelFastDealItem.StatusValue} msg The message object to deserialize into.
 * @param {!jspb.BinaryReader} reader The BinaryReader to use.
 * @return {!proto.fcp.order.v1.order.CancelFastDealItem.StatusValue}
 */
proto.fcp.order.v1.order.CancelFastDealItem.StatusValue.deserializeBinaryFromReader = function(msg, reader) {
  while (reader.nextField()) {
    if (reader.isEndGroup()) {
      break;
    }
    var field = reader.getFieldNumber();
    switch (field) {
    case 1:
      var value = /** @type {!proto.fcp.order.v1.order.CancelFastDealItem.Status} */ (reader.readEnum());
      msg.setValue(value);
      break;
    default:
      reader.skipField();
      break;
    }
  }
  return msg;
};


/**
 * Serializes the message to binary data (in protobuf wire format).
 * @return {!Uint8Array}
 */
proto.fcp.order.v1.order.CancelFastDealItem.StatusValue.prototype.serializeBinary = function() {
  var writer = new jspb.BinaryWriter();
  proto.fcp.order.v1.order.CancelFastDealItem.StatusValue.serializeBinaryToWriter(this, writer);
  return writer.getResultBuffer();
};


/**
 * Serializes the given message to binary data (in protobuf wire
 * format), writing to the given BinaryWriter.
 * @param {!proto.fcp.order.v1.order.CancelFastDealItem.StatusValue} message
 * @param {!jspb.BinaryWriter} writer
 * @suppress {unusedLocalVariables} f is only used for nested messages
 */
proto.fcp.order.v1.order.CancelFastDealItem.StatusValue.serializeBinaryToWriter = function(message, writer) {
  var f = undefined;
  f = message.getValue();
  if (f !== 0.0) {
    writer.writeEnum(
      1,
      f
    );
  }
};


/**
 * optional Status value = 1;
 * @return {!proto.fcp.order.v1.order.CancelFastDealItem.Status}
 */
proto.fcp.order.v1.order.CancelFastDealItem.StatusValue.prototype.getValue = function() {
  return /** @type {!proto.fcp.order.v1.order.CancelFastDealItem.Status} */ (jspb.Message.getFieldWithDefault(this, 1, 0));
};


/**
 * @param {!proto.fcp.order.v1.order.CancelFastDealItem.Status} value
 * @return {!proto.fcp.order.v1.order.CancelFastDealItem.StatusValue} returns this
 */
proto.fcp.order.v1.order.CancelFastDealItem.StatusValue.prototype.setValue = function(value) {
  return jspb.Message.setProto3EnumField(this, 1, value);
};


/**
 * optional int64 id = 1;
 * @return {number}
 */
proto.fcp.order.v1.order.CancelFastDealItem.prototype.getId = function() {
  return /** @type {number} */ (jspb.Message.getFieldWithDefault(this, 1, 0));
};


/**
 * @param {number} value
 * @return {!proto.fcp.order.v1.order.CancelFastDealItem} returns this
 */
proto.fcp.order.v1.order.CancelFastDealItem.prototype.setId = function(value) {
  return jspb.Message.setProto3IntField(this, 1, value);
};


/**
 * optional string external_id = 2;
 * @return {string}
 */
proto.fcp.order.v1.order.CancelFastDealItem.prototype.getExternalId = function() {
  return /** @type {string} */ (jspb.Message.getFieldWithDefault(this, 2, ""));
};


/**
 * @param {string} value
 * @return {!proto.fcp.order.v1.order.CancelFastDealItem} returns this
 */
proto.fcp.order.v1.order.CancelFastDealItem.prototype.setExternalId = function(value) {
  return jspb.Message.setProto3StringField(this, 2, value);
};


/**
 * optional Status status = 3;
 * @return {!proto.fcp.order.v1.order.CancelFastDealItem.Status}
 */
proto.fcp.order.v1.order.CancelFastDealItem.prototype.getStatus = function() {
  return /** @type {!proto.fcp.order.v1.order.CancelFastDealItem.Status} */ (jspb.Message.getFieldWithDefault(this, 3, 0));
};


/**
 * @param {!proto.fcp.order.v1.order.CancelFastDealItem.Status} value
 * @return {!proto.fcp.order.v1.order.CancelFastDealItem} returns this
 */
proto.fcp.order.v1.order.CancelFastDealItem.prototype.setStatus = function(value) {
  return jspb.Message.setProto3EnumField(this, 3, value);
};


/**
 * optional int64 fast_deal_item_id = 8;
 * @return {number}
 */
proto.fcp.order.v1.order.CancelFastDealItem.prototype.getFastDealItemId = function() {
  return /** @type {number} */ (jspb.Message.getFieldWithDefault(this, 8, 0));
};


/**
 * @param {number} value
 * @return {!proto.fcp.order.v1.order.CancelFastDealItem} returns this
 */
proto.fcp.order.v1.order.CancelFastDealItem.prototype.setFastDealItemId = function(value) {
  return jspb.Message.setProto3IntField(this, 8, value);
};


/**
 * optional string fast_deal_item_external_id = 4;
 * @return {string}
 */
proto.fcp.order.v1.order.CancelFastDealItem.prototype.getFastDealItemExternalId = function() {
  return /** @type {string} */ (jspb.Message.getFieldWithDefault(this, 4, ""));
};


/**
 * @param {string} value
 * @return {!proto.fcp.order.v1.order.CancelFastDealItem} returns this
 */
proto.fcp.order.v1.order.CancelFastDealItem.prototype.setFastDealItemExternalId = function(value) {
  return jspb.Message.setProto3StringField(this, 4, value);
};


/**
 * optional CancelClaimReason reason = 5;
 * @return {!proto.fcp.order.v1.order.CancelClaimReason}
 */
proto.fcp.order.v1.order.CancelFastDealItem.prototype.getReason = function() {
  return /** @type {!proto.fcp.order.v1.order.CancelClaimReason} */ (jspb.Message.getFieldWithDefault(this, 5, 0));
};


/**
 * @param {!proto.fcp.order.v1.order.CancelClaimReason} value
 * @return {!proto.fcp.order.v1.order.CancelFastDealItem} returns this
 */
proto.fcp.order.v1.order.CancelFastDealItem.prototype.setReason = function(value) {
  return jspb.Message.setProto3EnumField(this, 5, value);
};


/**
 * optional string reason_comment = 6;
 * @return {string}
 */
proto.fcp.order.v1.order.CancelFastDealItem.prototype.getReasonComment = function() {
  return /** @type {string} */ (jspb.Message.getFieldWithDefault(this, 6, ""));
};


/**
 * @param {string} value
 * @return {!proto.fcp.order.v1.order.CancelFastDealItem} returns this
 */
proto.fcp.order.v1.order.CancelFastDealItem.prototype.setReasonComment = function(value) {
  return jspb.Message.setProto3StringField(this, 6, value);
};


/**
 * optional string admin_id = 7;
 * @return {string}
 */
proto.fcp.order.v1.order.CancelFastDealItem.prototype.getAdminId = function() {
  return /** @type {string} */ (jspb.Message.getFieldWithDefault(this, 7, ""));
};


/**
 * @param {string} value
 * @return {!proto.fcp.order.v1.order.CancelFastDealItem} returns this
 */
proto.fcp.order.v1.order.CancelFastDealItem.prototype.setAdminId = function(value) {
  return jspb.Message.setProto3StringField(this, 7, value);
};


/**
 * optional string description = 21;
 * @return {string}
 */
proto.fcp.order.v1.order.CancelFastDealItem.prototype.getDescription = function() {
  return /** @type {string} */ (jspb.Message.getFieldWithDefault(this, 21, ""));
};


/**
 * @param {string} value
 * @return {!proto.fcp.order.v1.order.CancelFastDealItem} returns this
 */
proto.fcp.order.v1.order.CancelFastDealItem.prototype.setDescription = function(value) {
  return jspb.Message.setProto3StringField(this, 21, value);
};


/**
 * optional Audit audit = 22;
 * @return {?proto.fcp.order.v1.order.Audit}
 */
proto.fcp.order.v1.order.CancelFastDealItem.prototype.getAudit = function() {
  return /** @type{?proto.fcp.order.v1.order.Audit} */ (
    jspb.Message.getWrapperField(this, v1_order_common_pb.Audit, 22));
};


/**
 * @param {?proto.fcp.order.v1.order.Audit|undefined} value
 * @return {!proto.fcp.order.v1.order.CancelFastDealItem} returns this
*/
proto.fcp.order.v1.order.CancelFastDealItem.prototype.setAudit = function(value) {
  return jspb.Message.setWrapperField(this, 22, value);
};


/**
 * Clears the message field making it undefined.
 * @return {!proto.fcp.order.v1.order.CancelFastDealItem} returns this
 */
proto.fcp.order.v1.order.CancelFastDealItem.prototype.clearAudit = function() {
  return this.setAudit(undefined);
};


/**
 * Returns whether this field is set.
 * @return {boolean}
 */
proto.fcp.order.v1.order.CancelFastDealItem.prototype.hasAudit = function() {
  return jspb.Message.getField(this, 22) != null;
};



/**
 * List of repeated fields within this message type.
 * @private {!Array<number>}
 * @const
 */
proto.fcp.order.v1.order.CancelFastDealItemFilter.repeatedFields_ = [1];



if (jspb.Message.GENERATE_TO_OBJECT) {
/**
 * Creates an object representation of this proto.
 * Field names that are reserved in JavaScript and will be renamed to pb_name.
 * Optional fields that are not set will be set to undefined.
 * To access a reserved field use, foo.pb_<name>, eg, foo.pb_default.
 * For the list of reserved names please see:
 *     net/proto2/compiler/js/internal/generator.cc#kKeyword.
 * @param {boolean=} opt_includeInstance Deprecated. whether to include the
 *     JSPB instance for transitional soy proto support:
 *     http://goto/soy-param-migration
 * @return {!Object}
 */
proto.fcp.order.v1.order.CancelFastDealItemFilter.prototype.toObject = function(opt_includeInstance) {
  return proto.fcp.order.v1.order.CancelFastDealItemFilter.toObject(opt_includeInstance, this);
};


/**
 * Static version of the {@see toObject} method.
 * @param {boolean|undefined} includeInstance Deprecated. Whether to include
 *     the JSPB instance for transitional soy proto support:
 *     http://goto/soy-param-migration
 * @param {!proto.fcp.order.v1.order.CancelFastDealItemFilter} msg The msg instance to transform.
 * @return {!Object}
 * @suppress {unusedLocalVariables} f is only used for nested messages
 */
proto.fcp.order.v1.order.CancelFastDealItemFilter.toObject = function(includeInstance, msg) {
  var f, obj = {
    statusesList: (f = jspb.Message.getRepeatedField(msg, 1)) == null ? undefined : f,
    reason: (f = msg.getReason()) && v1_order_enum_pb.CancelClaimReasonValue.toObject(includeInstance, f),
    reasonComment: (f = msg.getReasonComment()) && google_protobuf_wrappers_pb.StringValue.toObject(includeInstance, f),
    fastDealItemId: (f = msg.getFastDealItemId()) && google_protobuf_wrappers_pb.Int64Value.toObject(includeInstance, f),
    externalId: (f = msg.getExternalId()) && google_protobuf_wrappers_pb.StringValue.toObject(includeInstance, f),
    description: (f = msg.getDescription()) && google_protobuf_wrappers_pb.StringValue.toObject(includeInstance, f),
    updated: (f = msg.getUpdated()) && v1_order_common_pb.TimeRange.toObject(includeInstance, f),
    createdName: (f = msg.getCreatedName()) && google_protobuf_wrappers_pb.StringValue.toObject(includeInstance, f),
    created: (f = msg.getCreated()) && v1_order_common_pb.TimeRange.toObject(includeInstance, f),
    state: (f = msg.getState()) && v1_order_common_pb.StateValue.toObject(includeInstance, f),
    createdBy: (f = msg.getCreatedBy()) && google_protobuf_wrappers_pb.StringValue.toObject(includeInstance, f),
    updatedBy: (f = msg.getUpdatedBy()) && google_protobuf_wrappers_pb.StringValue.toObject(includeInstance, f)
  };

  if (includeInstance) {
    obj.$jspbMessageInstance = msg;
  }
  return obj;
};
}


/**
 * Deserializes binary data (in protobuf wire format).
 * @param {jspb.ByteSource} bytes The bytes to deserialize.
 * @return {!proto.fcp.order.v1.order.CancelFastDealItemFilter}
 */
proto.fcp.order.v1.order.CancelFastDealItemFilter.deserializeBinary = function(bytes) {
  var reader = new jspb.BinaryReader(bytes);
  var msg = new proto.fcp.order.v1.order.CancelFastDealItemFilter;
  return proto.fcp.order.v1.order.CancelFastDealItemFilter.deserializeBinaryFromReader(msg, reader);
};


/**
 * Deserializes binary data (in protobuf wire format) from the
 * given reader into the given message object.
 * @param {!proto.fcp.order.v1.order.CancelFastDealItemFilter} msg The message object to deserialize into.
 * @param {!jspb.BinaryReader} reader The BinaryReader to use.
 * @return {!proto.fcp.order.v1.order.CancelFastDealItemFilter}
 */
proto.fcp.order.v1.order.CancelFastDealItemFilter.deserializeBinaryFromReader = function(msg, reader) {
  while (reader.nextField()) {
    if (reader.isEndGroup()) {
      break;
    }
    var field = reader.getFieldNumber();
    switch (field) {
    case 1:
      var value = /** @type {!Array<!proto.fcp.order.v1.order.CancelFastDealItem.Status>} */ (reader.readPackedEnum());
      msg.setStatusesList(value);
      break;
    case 2:
      var value = new v1_order_enum_pb.CancelClaimReasonValue;
      reader.readMessage(value,v1_order_enum_pb.CancelClaimReasonValue.deserializeBinaryFromReader);
      msg.setReason(value);
      break;
    case 3:
      var value = new google_protobuf_wrappers_pb.StringValue;
      reader.readMessage(value,google_protobuf_wrappers_pb.StringValue.deserializeBinaryFromReader);
      msg.setReasonComment(value);
      break;
    case 7:
      var value = new google_protobuf_wrappers_pb.Int64Value;
      reader.readMessage(value,google_protobuf_wrappers_pb.Int64Value.deserializeBinaryFromReader);
      msg.setFastDealItemId(value);
      break;
    case 5:
      var value = new google_protobuf_wrappers_pb.StringValue;
      reader.readMessage(value,google_protobuf_wrappers_pb.StringValue.deserializeBinaryFromReader);
      msg.setExternalId(value);
      break;
    case 6:
      var value = new google_protobuf_wrappers_pb.StringValue;
      reader.readMessage(value,google_protobuf_wrappers_pb.StringValue.deserializeBinaryFromReader);
      msg.setDescription(value);
      break;
    case 12:
      var value = new v1_order_common_pb.TimeRange;
      reader.readMessage(value,v1_order_common_pb.TimeRange.deserializeBinaryFromReader);
      msg.setUpdated(value);
      break;
    case 13:
      var value = new google_protobuf_wrappers_pb.StringValue;
      reader.readMessage(value,google_protobuf_wrappers_pb.StringValue.deserializeBinaryFromReader);
      msg.setCreatedName(value);
      break;
    case 14:
      var value = new v1_order_common_pb.TimeRange;
      reader.readMessage(value,v1_order_common_pb.TimeRange.deserializeBinaryFromReader);
      msg.setCreated(value);
      break;
    case 15:
      var value = new v1_order_common_pb.StateValue;
      reader.readMessage(value,v1_order_common_pb.StateValue.deserializeBinaryFromReader);
      msg.setState(value);
      break;
    case 16:
      var value = new google_protobuf_wrappers_pb.StringValue;
      reader.readMessage(value,google_protobuf_wrappers_pb.StringValue.deserializeBinaryFromReader);
      msg.setCreatedBy(value);
      break;
    case 17:
      var value = new google_protobuf_wrappers_pb.StringValue;
      reader.readMessage(value,google_protobuf_wrappers_pb.StringValue.deserializeBinaryFromReader);
      msg.setUpdatedBy(value);
      break;
    default:
      reader.skipField();
      break;
    }
  }
  return msg;
};


/**
 * Serializes the message to binary data (in protobuf wire format).
 * @return {!Uint8Array}
 */
proto.fcp.order.v1.order.CancelFastDealItemFilter.prototype.serializeBinary = function() {
  var writer = new jspb.BinaryWriter();
  proto.fcp.order.v1.order.CancelFastDealItemFilter.serializeBinaryToWriter(this, writer);
  return writer.getResultBuffer();
};


/**
 * Serializes the given message to binary data (in protobuf wire
 * format), writing to the given BinaryWriter.
 * @param {!proto.fcp.order.v1.order.CancelFastDealItemFilter} message
 * @param {!jspb.BinaryWriter} writer
 * @suppress {unusedLocalVariables} f is only used for nested messages
 */
proto.fcp.order.v1.order.CancelFastDealItemFilter.serializeBinaryToWriter = function(message, writer) {
  var f = undefined;
  f = message.getStatusesList();
  if (f.length > 0) {
    writer.writePackedEnum(
      1,
      f
    );
  }
  f = message.getReason();
  if (f != null) {
    writer.writeMessage(
      2,
      f,
      v1_order_enum_pb.CancelClaimReasonValue.serializeBinaryToWriter
    );
  }
  f = message.getReasonComment();
  if (f != null) {
    writer.writeMessage(
      3,
      f,
      google_protobuf_wrappers_pb.StringValue.serializeBinaryToWriter
    );
  }
  f = message.getFastDealItemId();
  if (f != null) {
    writer.writeMessage(
      7,
      f,
      google_protobuf_wrappers_pb.Int64Value.serializeBinaryToWriter
    );
  }
  f = message.getExternalId();
  if (f != null) {
    writer.writeMessage(
      5,
      f,
      google_protobuf_wrappers_pb.StringValue.serializeBinaryToWriter
    );
  }
  f = message.getDescription();
  if (f != null) {
    writer.writeMessage(
      6,
      f,
      google_protobuf_wrappers_pb.StringValue.serializeBinaryToWriter
    );
  }
  f = message.getUpdated();
  if (f != null) {
    writer.writeMessage(
      12,
      f,
      v1_order_common_pb.TimeRange.serializeBinaryToWriter
    );
  }
  f = message.getCreatedName();
  if (f != null) {
    writer.writeMessage(
      13,
      f,
      google_protobuf_wrappers_pb.StringValue.serializeBinaryToWriter
    );
  }
  f = message.getCreated();
  if (f != null) {
    writer.writeMessage(
      14,
      f,
      v1_order_common_pb.TimeRange.serializeBinaryToWriter
    );
  }
  f = message.getState();
  if (f != null) {
    writer.writeMessage(
      15,
      f,
      v1_order_common_pb.StateValue.serializeBinaryToWriter
    );
  }
  f = message.getCreatedBy();
  if (f != null) {
    writer.writeMessage(
      16,
      f,
      google_protobuf_wrappers_pb.StringValue.serializeBinaryToWriter
    );
  }
  f = message.getUpdatedBy();
  if (f != null) {
    writer.writeMessage(
      17,
      f,
      google_protobuf_wrappers_pb.StringValue.serializeBinaryToWriter
    );
  }
};


/**
 * repeated CancelFastDealItem.Status statuses = 1;
 * @return {!Array<!proto.fcp.order.v1.order.CancelFastDealItem.Status>}
 */
proto.fcp.order.v1.order.CancelFastDealItemFilter.prototype.getStatusesList = function() {
  return /** @type {!Array<!proto.fcp.order.v1.order.CancelFastDealItem.Status>} */ (jspb.Message.getRepeatedField(this, 1));
};


/**
 * @param {!Array<!proto.fcp.order.v1.order.CancelFastDealItem.Status>} value
 * @return {!proto.fcp.order.v1.order.CancelFastDealItemFilter} returns this
 */
proto.fcp.order.v1.order.CancelFastDealItemFilter.prototype.setStatusesList = function(value) {
  return jspb.Message.setField(this, 1, value || []);
};


/**
 * @param {!proto.fcp.order.v1.order.CancelFastDealItem.Status} value
 * @param {number=} opt_index
 * @return {!proto.fcp.order.v1.order.CancelFastDealItemFilter} returns this
 */
proto.fcp.order.v1.order.CancelFastDealItemFilter.prototype.addStatuses = function(value, opt_index) {
  return jspb.Message.addToRepeatedField(this, 1, value, opt_index);
};


/**
 * Clears the list making it empty but non-null.
 * @return {!proto.fcp.order.v1.order.CancelFastDealItemFilter} returns this
 */
proto.fcp.order.v1.order.CancelFastDealItemFilter.prototype.clearStatusesList = function() {
  return this.setStatusesList([]);
};


/**
 * optional CancelClaimReasonValue reason = 2;
 * @return {?proto.fcp.order.v1.order.CancelClaimReasonValue}
 */
proto.fcp.order.v1.order.CancelFastDealItemFilter.prototype.getReason = function() {
  return /** @type{?proto.fcp.order.v1.order.CancelClaimReasonValue} */ (
    jspb.Message.getWrapperField(this, v1_order_enum_pb.CancelClaimReasonValue, 2));
};


/**
 * @param {?proto.fcp.order.v1.order.CancelClaimReasonValue|undefined} value
 * @return {!proto.fcp.order.v1.order.CancelFastDealItemFilter} returns this
*/
proto.fcp.order.v1.order.CancelFastDealItemFilter.prototype.setReason = function(value) {
  return jspb.Message.setWrapperField(this, 2, value);
};


/**
 * Clears the message field making it undefined.
 * @return {!proto.fcp.order.v1.order.CancelFastDealItemFilter} returns this
 */
proto.fcp.order.v1.order.CancelFastDealItemFilter.prototype.clearReason = function() {
  return this.setReason(undefined);
};


/**
 * Returns whether this field is set.
 * @return {boolean}
 */
proto.fcp.order.v1.order.CancelFastDealItemFilter.prototype.hasReason = function() {
  return jspb.Message.getField(this, 2) != null;
};


/**
 * optional google.protobuf.StringValue reason_comment = 3;
 * @return {?proto.google.protobuf.StringValue}
 */
proto.fcp.order.v1.order.CancelFastDealItemFilter.prototype.getReasonComment = function() {
  return /** @type{?proto.google.protobuf.StringValue} */ (
    jspb.Message.getWrapperField(this, google_protobuf_wrappers_pb.StringValue, 3));
};


/**
 * @param {?proto.google.protobuf.StringValue|undefined} value
 * @return {!proto.fcp.order.v1.order.CancelFastDealItemFilter} returns this
*/
proto.fcp.order.v1.order.CancelFastDealItemFilter.prototype.setReasonComment = function(value) {
  return jspb.Message.setWrapperField(this, 3, value);
};


/**
 * Clears the message field making it undefined.
 * @return {!proto.fcp.order.v1.order.CancelFastDealItemFilter} returns this
 */
proto.fcp.order.v1.order.CancelFastDealItemFilter.prototype.clearReasonComment = function() {
  return this.setReasonComment(undefined);
};


/**
 * Returns whether this field is set.
 * @return {boolean}
 */
proto.fcp.order.v1.order.CancelFastDealItemFilter.prototype.hasReasonComment = function() {
  return jspb.Message.getField(this, 3) != null;
};


/**
 * optional google.protobuf.Int64Value fast_deal_item_id = 7;
 * @return {?proto.google.protobuf.Int64Value}
 */
proto.fcp.order.v1.order.CancelFastDealItemFilter.prototype.getFastDealItemId = function() {
  return /** @type{?proto.google.protobuf.Int64Value} */ (
    jspb.Message.getWrapperField(this, google_protobuf_wrappers_pb.Int64Value, 7));
};


/**
 * @param {?proto.google.protobuf.Int64Value|undefined} value
 * @return {!proto.fcp.order.v1.order.CancelFastDealItemFilter} returns this
*/
proto.fcp.order.v1.order.CancelFastDealItemFilter.prototype.setFastDealItemId = function(value) {
  return jspb.Message.setWrapperField(this, 7, value);
};


/**
 * Clears the message field making it undefined.
 * @return {!proto.fcp.order.v1.order.CancelFastDealItemFilter} returns this
 */
proto.fcp.order.v1.order.CancelFastDealItemFilter.prototype.clearFastDealItemId = function() {
  return this.setFastDealItemId(undefined);
};


/**
 * Returns whether this field is set.
 * @return {boolean}
 */
proto.fcp.order.v1.order.CancelFastDealItemFilter.prototype.hasFastDealItemId = function() {
  return jspb.Message.getField(this, 7) != null;
};


/**
 * optional google.protobuf.StringValue external_id = 5;
 * @return {?proto.google.protobuf.StringValue}
 */
proto.fcp.order.v1.order.CancelFastDealItemFilter.prototype.getExternalId = function() {
  return /** @type{?proto.google.protobuf.StringValue} */ (
    jspb.Message.getWrapperField(this, google_protobuf_wrappers_pb.StringValue, 5));
};


/**
 * @param {?proto.google.protobuf.StringValue|undefined} value
 * @return {!proto.fcp.order.v1.order.CancelFastDealItemFilter} returns this
*/
proto.fcp.order.v1.order.CancelFastDealItemFilter.prototype.setExternalId = function(value) {
  return jspb.Message.setWrapperField(this, 5, value);
};


/**
 * Clears the message field making it undefined.
 * @return {!proto.fcp.order.v1.order.CancelFastDealItemFilter} returns this
 */
proto.fcp.order.v1.order.CancelFastDealItemFilter.prototype.clearExternalId = function() {
  return this.setExternalId(undefined);
};


/**
 * Returns whether this field is set.
 * @return {boolean}
 */
proto.fcp.order.v1.order.CancelFastDealItemFilter.prototype.hasExternalId = function() {
  return jspb.Message.getField(this, 5) != null;
};


/**
 * optional google.protobuf.StringValue description = 6;
 * @return {?proto.google.protobuf.StringValue}
 */
proto.fcp.order.v1.order.CancelFastDealItemFilter.prototype.getDescription = function() {
  return /** @type{?proto.google.protobuf.StringValue} */ (
    jspb.Message.getWrapperField(this, google_protobuf_wrappers_pb.StringValue, 6));
};


/**
 * @param {?proto.google.protobuf.StringValue|undefined} value
 * @return {!proto.fcp.order.v1.order.CancelFastDealItemFilter} returns this
*/
proto.fcp.order.v1.order.CancelFastDealItemFilter.prototype.setDescription = function(value) {
  return jspb.Message.setWrapperField(this, 6, value);
};


/**
 * Clears the message field making it undefined.
 * @return {!proto.fcp.order.v1.order.CancelFastDealItemFilter} returns this
 */
proto.fcp.order.v1.order.CancelFastDealItemFilter.prototype.clearDescription = function() {
  return this.setDescription(undefined);
};


/**
 * Returns whether this field is set.
 * @return {boolean}
 */
proto.fcp.order.v1.order.CancelFastDealItemFilter.prototype.hasDescription = function() {
  return jspb.Message.getField(this, 6) != null;
};


/**
 * optional TimeRange updated = 12;
 * @return {?proto.fcp.order.v1.order.TimeRange}
 */
proto.fcp.order.v1.order.CancelFastDealItemFilter.prototype.getUpdated = function() {
  return /** @type{?proto.fcp.order.v1.order.TimeRange} */ (
    jspb.Message.getWrapperField(this, v1_order_common_pb.TimeRange, 12));
};


/**
 * @param {?proto.fcp.order.v1.order.TimeRange|undefined} value
 * @return {!proto.fcp.order.v1.order.CancelFastDealItemFilter} returns this
*/
proto.fcp.order.v1.order.CancelFastDealItemFilter.prototype.setUpdated = function(value) {
  return jspb.Message.setWrapperField(this, 12, value);
};


/**
 * Clears the message field making it undefined.
 * @return {!proto.fcp.order.v1.order.CancelFastDealItemFilter} returns this
 */
proto.fcp.order.v1.order.CancelFastDealItemFilter.prototype.clearUpdated = function() {
  return this.setUpdated(undefined);
};


/**
 * Returns whether this field is set.
 * @return {boolean}
 */
proto.fcp.order.v1.order.CancelFastDealItemFilter.prototype.hasUpdated = function() {
  return jspb.Message.getField(this, 12) != null;
};


/**
 * optional google.protobuf.StringValue created_name = 13;
 * @return {?proto.google.protobuf.StringValue}
 */
proto.fcp.order.v1.order.CancelFastDealItemFilter.prototype.getCreatedName = function() {
  return /** @type{?proto.google.protobuf.StringValue} */ (
    jspb.Message.getWrapperField(this, google_protobuf_wrappers_pb.StringValue, 13));
};


/**
 * @param {?proto.google.protobuf.StringValue|undefined} value
 * @return {!proto.fcp.order.v1.order.CancelFastDealItemFilter} returns this
*/
proto.fcp.order.v1.order.CancelFastDealItemFilter.prototype.setCreatedName = function(value) {
  return jspb.Message.setWrapperField(this, 13, value);
};


/**
 * Clears the message field making it undefined.
 * @return {!proto.fcp.order.v1.order.CancelFastDealItemFilter} returns this
 */
proto.fcp.order.v1.order.CancelFastDealItemFilter.prototype.clearCreatedName = function() {
  return this.setCreatedName(undefined);
};


/**
 * Returns whether this field is set.
 * @return {boolean}
 */
proto.fcp.order.v1.order.CancelFastDealItemFilter.prototype.hasCreatedName = function() {
  return jspb.Message.getField(this, 13) != null;
};


/**
 * optional TimeRange created = 14;
 * @return {?proto.fcp.order.v1.order.TimeRange}
 */
proto.fcp.order.v1.order.CancelFastDealItemFilter.prototype.getCreated = function() {
  return /** @type{?proto.fcp.order.v1.order.TimeRange} */ (
    jspb.Message.getWrapperField(this, v1_order_common_pb.TimeRange, 14));
};


/**
 * @param {?proto.fcp.order.v1.order.TimeRange|undefined} value
 * @return {!proto.fcp.order.v1.order.CancelFastDealItemFilter} returns this
*/
proto.fcp.order.v1.order.CancelFastDealItemFilter.prototype.setCreated = function(value) {
  return jspb.Message.setWrapperField(this, 14, value);
};


/**
 * Clears the message field making it undefined.
 * @return {!proto.fcp.order.v1.order.CancelFastDealItemFilter} returns this
 */
proto.fcp.order.v1.order.CancelFastDealItemFilter.prototype.clearCreated = function() {
  return this.setCreated(undefined);
};


/**
 * Returns whether this field is set.
 * @return {boolean}
 */
proto.fcp.order.v1.order.CancelFastDealItemFilter.prototype.hasCreated = function() {
  return jspb.Message.getField(this, 14) != null;
};


/**
 * optional StateValue state = 15;
 * @return {?proto.fcp.order.v1.order.StateValue}
 */
proto.fcp.order.v1.order.CancelFastDealItemFilter.prototype.getState = function() {
  return /** @type{?proto.fcp.order.v1.order.StateValue} */ (
    jspb.Message.getWrapperField(this, v1_order_common_pb.StateValue, 15));
};


/**
 * @param {?proto.fcp.order.v1.order.StateValue|undefined} value
 * @return {!proto.fcp.order.v1.order.CancelFastDealItemFilter} returns this
*/
proto.fcp.order.v1.order.CancelFastDealItemFilter.prototype.setState = function(value) {
  return jspb.Message.setWrapperField(this, 15, value);
};


/**
 * Clears the message field making it undefined.
 * @return {!proto.fcp.order.v1.order.CancelFastDealItemFilter} returns this
 */
proto.fcp.order.v1.order.CancelFastDealItemFilter.prototype.clearState = function() {
  return this.setState(undefined);
};


/**
 * Returns whether this field is set.
 * @return {boolean}
 */
proto.fcp.order.v1.order.CancelFastDealItemFilter.prototype.hasState = function() {
  return jspb.Message.getField(this, 15) != null;
};


/**
 * optional google.protobuf.StringValue created_by = 16;
 * @return {?proto.google.protobuf.StringValue}
 */
proto.fcp.order.v1.order.CancelFastDealItemFilter.prototype.getCreatedBy = function() {
  return /** @type{?proto.google.protobuf.StringValue} */ (
    jspb.Message.getWrapperField(this, google_protobuf_wrappers_pb.StringValue, 16));
};


/**
 * @param {?proto.google.protobuf.StringValue|undefined} value
 * @return {!proto.fcp.order.v1.order.CancelFastDealItemFilter} returns this
*/
proto.fcp.order.v1.order.CancelFastDealItemFilter.prototype.setCreatedBy = function(value) {
  return jspb.Message.setWrapperField(this, 16, value);
};


/**
 * Clears the message field making it undefined.
 * @return {!proto.fcp.order.v1.order.CancelFastDealItemFilter} returns this
 */
proto.fcp.order.v1.order.CancelFastDealItemFilter.prototype.clearCreatedBy = function() {
  return this.setCreatedBy(undefined);
};


/**
 * Returns whether this field is set.
 * @return {boolean}
 */
proto.fcp.order.v1.order.CancelFastDealItemFilter.prototype.hasCreatedBy = function() {
  return jspb.Message.getField(this, 16) != null;
};


/**
 * optional google.protobuf.StringValue updated_by = 17;
 * @return {?proto.google.protobuf.StringValue}
 */
proto.fcp.order.v1.order.CancelFastDealItemFilter.prototype.getUpdatedBy = function() {
  return /** @type{?proto.google.protobuf.StringValue} */ (
    jspb.Message.getWrapperField(this, google_protobuf_wrappers_pb.StringValue, 17));
};


/**
 * @param {?proto.google.protobuf.StringValue|undefined} value
 * @return {!proto.fcp.order.v1.order.CancelFastDealItemFilter} returns this
*/
proto.fcp.order.v1.order.CancelFastDealItemFilter.prototype.setUpdatedBy = function(value) {
  return jspb.Message.setWrapperField(this, 17, value);
};


/**
 * Clears the message field making it undefined.
 * @return {!proto.fcp.order.v1.order.CancelFastDealItemFilter} returns this
 */
proto.fcp.order.v1.order.CancelFastDealItemFilter.prototype.clearUpdatedBy = function() {
  return this.setUpdatedBy(undefined);
};


/**
 * Returns whether this field is set.
 * @return {boolean}
 */
proto.fcp.order.v1.order.CancelFastDealItemFilter.prototype.hasUpdatedBy = function() {
  return jspb.Message.getField(this, 17) != null;
};



/**
 * List of repeated fields within this message type.
 * @private {!Array<number>}
 * @const
 */
proto.fcp.order.v1.order.ListCancelFastDealItemRequest.repeatedFields_ = [2];



if (jspb.Message.GENERATE_TO_OBJECT) {
/**
 * Creates an object representation of this proto.
 * Field names that are reserved in JavaScript and will be renamed to pb_name.
 * Optional fields that are not set will be set to undefined.
 * To access a reserved field use, foo.pb_<name>, eg, foo.pb_default.
 * For the list of reserved names please see:
 *     net/proto2/compiler/js/internal/generator.cc#kKeyword.
 * @param {boolean=} opt_includeInstance Deprecated. whether to include the
 *     JSPB instance for transitional soy proto support:
 *     http://goto/soy-param-migration
 * @return {!Object}
 */
proto.fcp.order.v1.order.ListCancelFastDealItemRequest.prototype.toObject = function(opt_includeInstance) {
  return proto.fcp.order.v1.order.ListCancelFastDealItemRequest.toObject(opt_includeInstance, this);
};


/**
 * Static version of the {@see toObject} method.
 * @param {boolean|undefined} includeInstance Deprecated. Whether to include
 *     the JSPB instance for transitional soy proto support:
 *     http://goto/soy-param-migration
 * @param {!proto.fcp.order.v1.order.ListCancelFastDealItemRequest} msg The msg instance to transform.
 * @return {!Object}
 * @suppress {unusedLocalVariables} f is only used for nested messages
 */
proto.fcp.order.v1.order.ListCancelFastDealItemRequest.toObject = function(includeInstance, msg) {
  var f, obj = {
    filter: (f = msg.getFilter()) && proto.fcp.order.v1.order.CancelFastDealItemFilter.toObject(includeInstance, f),
    sortingList: jspb.Message.toObjectList(msg.getSortingList(),
    v1_order_common_pb.Sorting.toObject, includeInstance),
    pagination: (f = msg.getPagination()) && v1_order_common_pb.PaginationRequest.toObject(includeInstance, f)
  };

  if (includeInstance) {
    obj.$jspbMessageInstance = msg;
  }
  return obj;
};
}


/**
 * Deserializes binary data (in protobuf wire format).
 * @param {jspb.ByteSource} bytes The bytes to deserialize.
 * @return {!proto.fcp.order.v1.order.ListCancelFastDealItemRequest}
 */
proto.fcp.order.v1.order.ListCancelFastDealItemRequest.deserializeBinary = function(bytes) {
  var reader = new jspb.BinaryReader(bytes);
  var msg = new proto.fcp.order.v1.order.ListCancelFastDealItemRequest;
  return proto.fcp.order.v1.order.ListCancelFastDealItemRequest.deserializeBinaryFromReader(msg, reader);
};


/**
 * Deserializes binary data (in protobuf wire format) from the
 * given reader into the given message object.
 * @param {!proto.fcp.order.v1.order.ListCancelFastDealItemRequest} msg The message object to deserialize into.
 * @param {!jspb.BinaryReader} reader The BinaryReader to use.
 * @return {!proto.fcp.order.v1.order.ListCancelFastDealItemRequest}
 */
proto.fcp.order.v1.order.ListCancelFastDealItemRequest.deserializeBinaryFromReader = function(msg, reader) {
  while (reader.nextField()) {
    if (reader.isEndGroup()) {
      break;
    }
    var field = reader.getFieldNumber();
    switch (field) {
    case 1:
      var value = new proto.fcp.order.v1.order.CancelFastDealItemFilter;
      reader.readMessage(value,proto.fcp.order.v1.order.CancelFastDealItemFilter.deserializeBinaryFromReader);
      msg.setFilter(value);
      break;
    case 2:
      var value = new v1_order_common_pb.Sorting;
      reader.readMessage(value,v1_order_common_pb.Sorting.deserializeBinaryFromReader);
      msg.addSorting(value);
      break;
    case 3:
      var value = new v1_order_common_pb.PaginationRequest;
      reader.readMessage(value,v1_order_common_pb.PaginationRequest.deserializeBinaryFromReader);
      msg.setPagination(value);
      break;
    default:
      reader.skipField();
      break;
    }
  }
  return msg;
};


/**
 * Serializes the message to binary data (in protobuf wire format).
 * @return {!Uint8Array}
 */
proto.fcp.order.v1.order.ListCancelFastDealItemRequest.prototype.serializeBinary = function() {
  var writer = new jspb.BinaryWriter();
  proto.fcp.order.v1.order.ListCancelFastDealItemRequest.serializeBinaryToWriter(this, writer);
  return writer.getResultBuffer();
};


/**
 * Serializes the given message to binary data (in protobuf wire
 * format), writing to the given BinaryWriter.
 * @param {!proto.fcp.order.v1.order.ListCancelFastDealItemRequest} message
 * @param {!jspb.BinaryWriter} writer
 * @suppress {unusedLocalVariables} f is only used for nested messages
 */
proto.fcp.order.v1.order.ListCancelFastDealItemRequest.serializeBinaryToWriter = function(message, writer) {
  var f = undefined;
  f = message.getFilter();
  if (f != null) {
    writer.writeMessage(
      1,
      f,
      proto.fcp.order.v1.order.CancelFastDealItemFilter.serializeBinaryToWriter
    );
  }
  f = message.getSortingList();
  if (f.length > 0) {
    writer.writeRepeatedMessage(
      2,
      f,
      v1_order_common_pb.Sorting.serializeBinaryToWriter
    );
  }
  f = message.getPagination();
  if (f != null) {
    writer.writeMessage(
      3,
      f,
      v1_order_common_pb.PaginationRequest.serializeBinaryToWriter
    );
  }
};


/**
 * optional CancelFastDealItemFilter filter = 1;
 * @return {?proto.fcp.order.v1.order.CancelFastDealItemFilter}
 */
proto.fcp.order.v1.order.ListCancelFastDealItemRequest.prototype.getFilter = function() {
  return /** @type{?proto.fcp.order.v1.order.CancelFastDealItemFilter} */ (
    jspb.Message.getWrapperField(this, proto.fcp.order.v1.order.CancelFastDealItemFilter, 1));
};


/**
 * @param {?proto.fcp.order.v1.order.CancelFastDealItemFilter|undefined} value
 * @return {!proto.fcp.order.v1.order.ListCancelFastDealItemRequest} returns this
*/
proto.fcp.order.v1.order.ListCancelFastDealItemRequest.prototype.setFilter = function(value) {
  return jspb.Message.setWrapperField(this, 1, value);
};


/**
 * Clears the message field making it undefined.
 * @return {!proto.fcp.order.v1.order.ListCancelFastDealItemRequest} returns this
 */
proto.fcp.order.v1.order.ListCancelFastDealItemRequest.prototype.clearFilter = function() {
  return this.setFilter(undefined);
};


/**
 * Returns whether this field is set.
 * @return {boolean}
 */
proto.fcp.order.v1.order.ListCancelFastDealItemRequest.prototype.hasFilter = function() {
  return jspb.Message.getField(this, 1) != null;
};


/**
 * repeated Sorting sorting = 2;
 * @return {!Array<!proto.fcp.order.v1.order.Sorting>}
 */
proto.fcp.order.v1.order.ListCancelFastDealItemRequest.prototype.getSortingList = function() {
  return /** @type{!Array<!proto.fcp.order.v1.order.Sorting>} */ (
    jspb.Message.getRepeatedWrapperField(this, v1_order_common_pb.Sorting, 2));
};


/**
 * @param {!Array<!proto.fcp.order.v1.order.Sorting>} value
 * @return {!proto.fcp.order.v1.order.ListCancelFastDealItemRequest} returns this
*/
proto.fcp.order.v1.order.ListCancelFastDealItemRequest.prototype.setSortingList = function(value) {
  return jspb.Message.setRepeatedWrapperField(this, 2, value);
};


/**
 * @param {!proto.fcp.order.v1.order.Sorting=} opt_value
 * @param {number=} opt_index
 * @return {!proto.fcp.order.v1.order.Sorting}
 */
proto.fcp.order.v1.order.ListCancelFastDealItemRequest.prototype.addSorting = function(opt_value, opt_index) {
  return jspb.Message.addToRepeatedWrapperField(this, 2, opt_value, proto.fcp.order.v1.order.Sorting, opt_index);
};


/**
 * Clears the list making it empty but non-null.
 * @return {!proto.fcp.order.v1.order.ListCancelFastDealItemRequest} returns this
 */
proto.fcp.order.v1.order.ListCancelFastDealItemRequest.prototype.clearSortingList = function() {
  return this.setSortingList([]);
};


/**
 * optional PaginationRequest pagination = 3;
 * @return {?proto.fcp.order.v1.order.PaginationRequest}
 */
proto.fcp.order.v1.order.ListCancelFastDealItemRequest.prototype.getPagination = function() {
  return /** @type{?proto.fcp.order.v1.order.PaginationRequest} */ (
    jspb.Message.getWrapperField(this, v1_order_common_pb.PaginationRequest, 3));
};


/**
 * @param {?proto.fcp.order.v1.order.PaginationRequest|undefined} value
 * @return {!proto.fcp.order.v1.order.ListCancelFastDealItemRequest} returns this
*/
proto.fcp.order.v1.order.ListCancelFastDealItemRequest.prototype.setPagination = function(value) {
  return jspb.Message.setWrapperField(this, 3, value);
};


/**
 * Clears the message field making it undefined.
 * @return {!proto.fcp.order.v1.order.ListCancelFastDealItemRequest} returns this
 */
proto.fcp.order.v1.order.ListCancelFastDealItemRequest.prototype.clearPagination = function() {
  return this.setPagination(undefined);
};


/**
 * Returns whether this field is set.
 * @return {boolean}
 */
proto.fcp.order.v1.order.ListCancelFastDealItemRequest.prototype.hasPagination = function() {
  return jspb.Message.getField(this, 3) != null;
};



/**
 * List of repeated fields within this message type.
 * @private {!Array<number>}
 * @const
 */
proto.fcp.order.v1.order.ListCancelFastDealItemResponse.repeatedFields_ = [1];



if (jspb.Message.GENERATE_TO_OBJECT) {
/**
 * Creates an object representation of this proto.
 * Field names that are reserved in JavaScript and will be renamed to pb_name.
 * Optional fields that are not set will be set to undefined.
 * To access a reserved field use, foo.pb_<name>, eg, foo.pb_default.
 * For the list of reserved names please see:
 *     net/proto2/compiler/js/internal/generator.cc#kKeyword.
 * @param {boolean=} opt_includeInstance Deprecated. whether to include the
 *     JSPB instance for transitional soy proto support:
 *     http://goto/soy-param-migration
 * @return {!Object}
 */
proto.fcp.order.v1.order.ListCancelFastDealItemResponse.prototype.toObject = function(opt_includeInstance) {
  return proto.fcp.order.v1.order.ListCancelFastDealItemResponse.toObject(opt_includeInstance, this);
};


/**
 * Static version of the {@see toObject} method.
 * @param {boolean|undefined} includeInstance Deprecated. Whether to include
 *     the JSPB instance for transitional soy proto support:
 *     http://goto/soy-param-migration
 * @param {!proto.fcp.order.v1.order.ListCancelFastDealItemResponse} msg The msg instance to transform.
 * @return {!Object}
 * @suppress {unusedLocalVariables} f is only used for nested messages
 */
proto.fcp.order.v1.order.ListCancelFastDealItemResponse.toObject = function(includeInstance, msg) {
  var f, obj = {
    itemsList: jspb.Message.toObjectList(msg.getItemsList(),
    proto.fcp.order.v1.order.CancelFastDealItem.toObject, includeInstance),
    pagination: (f = msg.getPagination()) && v1_order_common_pb.PaginationResponse.toObject(includeInstance, f)
  };

  if (includeInstance) {
    obj.$jspbMessageInstance = msg;
  }
  return obj;
};
}


/**
 * Deserializes binary data (in protobuf wire format).
 * @param {jspb.ByteSource} bytes The bytes to deserialize.
 * @return {!proto.fcp.order.v1.order.ListCancelFastDealItemResponse}
 */
proto.fcp.order.v1.order.ListCancelFastDealItemResponse.deserializeBinary = function(bytes) {
  var reader = new jspb.BinaryReader(bytes);
  var msg = new proto.fcp.order.v1.order.ListCancelFastDealItemResponse;
  return proto.fcp.order.v1.order.ListCancelFastDealItemResponse.deserializeBinaryFromReader(msg, reader);
};


/**
 * Deserializes binary data (in protobuf wire format) from the
 * given reader into the given message object.
 * @param {!proto.fcp.order.v1.order.ListCancelFastDealItemResponse} msg The message object to deserialize into.
 * @param {!jspb.BinaryReader} reader The BinaryReader to use.
 * @return {!proto.fcp.order.v1.order.ListCancelFastDealItemResponse}
 */
proto.fcp.order.v1.order.ListCancelFastDealItemResponse.deserializeBinaryFromReader = function(msg, reader) {
  while (reader.nextField()) {
    if (reader.isEndGroup()) {
      break;
    }
    var field = reader.getFieldNumber();
    switch (field) {
    case 1:
      var value = new proto.fcp.order.v1.order.CancelFastDealItem;
      reader.readMessage(value,proto.fcp.order.v1.order.CancelFastDealItem.deserializeBinaryFromReader);
      msg.addItems(value);
      break;
    case 2:
      var value = new v1_order_common_pb.PaginationResponse;
      reader.readMessage(value,v1_order_common_pb.PaginationResponse.deserializeBinaryFromReader);
      msg.setPagination(value);
      break;
    default:
      reader.skipField();
      break;
    }
  }
  return msg;
};


/**
 * Serializes the message to binary data (in protobuf wire format).
 * @return {!Uint8Array}
 */
proto.fcp.order.v1.order.ListCancelFastDealItemResponse.prototype.serializeBinary = function() {
  var writer = new jspb.BinaryWriter();
  proto.fcp.order.v1.order.ListCancelFastDealItemResponse.serializeBinaryToWriter(this, writer);
  return writer.getResultBuffer();
};


/**
 * Serializes the given message to binary data (in protobuf wire
 * format), writing to the given BinaryWriter.
 * @param {!proto.fcp.order.v1.order.ListCancelFastDealItemResponse} message
 * @param {!jspb.BinaryWriter} writer
 * @suppress {unusedLocalVariables} f is only used for nested messages
 */
proto.fcp.order.v1.order.ListCancelFastDealItemResponse.serializeBinaryToWriter = function(message, writer) {
  var f = undefined;
  f = message.getItemsList();
  if (f.length > 0) {
    writer.writeRepeatedMessage(
      1,
      f,
      proto.fcp.order.v1.order.CancelFastDealItem.serializeBinaryToWriter
    );
  }
  f = message.getPagination();
  if (f != null) {
    writer.writeMessage(
      2,
      f,
      v1_order_common_pb.PaginationResponse.serializeBinaryToWriter
    );
  }
};


/**
 * repeated CancelFastDealItem items = 1;
 * @return {!Array<!proto.fcp.order.v1.order.CancelFastDealItem>}
 */
proto.fcp.order.v1.order.ListCancelFastDealItemResponse.prototype.getItemsList = function() {
  return /** @type{!Array<!proto.fcp.order.v1.order.CancelFastDealItem>} */ (
    jspb.Message.getRepeatedWrapperField(this, proto.fcp.order.v1.order.CancelFastDealItem, 1));
};


/**
 * @param {!Array<!proto.fcp.order.v1.order.CancelFastDealItem>} value
 * @return {!proto.fcp.order.v1.order.ListCancelFastDealItemResponse} returns this
*/
proto.fcp.order.v1.order.ListCancelFastDealItemResponse.prototype.setItemsList = function(value) {
  return jspb.Message.setRepeatedWrapperField(this, 1, value);
};


/**
 * @param {!proto.fcp.order.v1.order.CancelFastDealItem=} opt_value
 * @param {number=} opt_index
 * @return {!proto.fcp.order.v1.order.CancelFastDealItem}
 */
proto.fcp.order.v1.order.ListCancelFastDealItemResponse.prototype.addItems = function(opt_value, opt_index) {
  return jspb.Message.addToRepeatedWrapperField(this, 1, opt_value, proto.fcp.order.v1.order.CancelFastDealItem, opt_index);
};


/**
 * Clears the list making it empty but non-null.
 * @return {!proto.fcp.order.v1.order.ListCancelFastDealItemResponse} returns this
 */
proto.fcp.order.v1.order.ListCancelFastDealItemResponse.prototype.clearItemsList = function() {
  return this.setItemsList([]);
};


/**
 * optional PaginationResponse pagination = 2;
 * @return {?proto.fcp.order.v1.order.PaginationResponse}
 */
proto.fcp.order.v1.order.ListCancelFastDealItemResponse.prototype.getPagination = function() {
  return /** @type{?proto.fcp.order.v1.order.PaginationResponse} */ (
    jspb.Message.getWrapperField(this, v1_order_common_pb.PaginationResponse, 2));
};


/**
 * @param {?proto.fcp.order.v1.order.PaginationResponse|undefined} value
 * @return {!proto.fcp.order.v1.order.ListCancelFastDealItemResponse} returns this
*/
proto.fcp.order.v1.order.ListCancelFastDealItemResponse.prototype.setPagination = function(value) {
  return jspb.Message.setWrapperField(this, 2, value);
};


/**
 * Clears the message field making it undefined.
 * @return {!proto.fcp.order.v1.order.ListCancelFastDealItemResponse} returns this
 */
proto.fcp.order.v1.order.ListCancelFastDealItemResponse.prototype.clearPagination = function() {
  return this.setPagination(undefined);
};


/**
 * Returns whether this field is set.
 * @return {boolean}
 */
proto.fcp.order.v1.order.ListCancelFastDealItemResponse.prototype.hasPagination = function() {
  return jspb.Message.getField(this, 2) != null;
};





if (jspb.Message.GENERATE_TO_OBJECT) {
/**
 * Creates an object representation of this proto.
 * Field names that are reserved in JavaScript and will be renamed to pb_name.
 * Optional fields that are not set will be set to undefined.
 * To access a reserved field use, foo.pb_<name>, eg, foo.pb_default.
 * For the list of reserved names please see:
 *     net/proto2/compiler/js/internal/generator.cc#kKeyword.
 * @param {boolean=} opt_includeInstance Deprecated. whether to include the
 *     JSPB instance for transitional soy proto support:
 *     http://goto/soy-param-migration
 * @return {!Object}
 */
proto.fcp.order.v1.order.GetCancelFastDealItemRequest.prototype.toObject = function(opt_includeInstance) {
  return proto.fcp.order.v1.order.GetCancelFastDealItemRequest.toObject(opt_includeInstance, this);
};


/**
 * Static version of the {@see toObject} method.
 * @param {boolean|undefined} includeInstance Deprecated. Whether to include
 *     the JSPB instance for transitional soy proto support:
 *     http://goto/soy-param-migration
 * @param {!proto.fcp.order.v1.order.GetCancelFastDealItemRequest} msg The msg instance to transform.
 * @return {!Object}
 * @suppress {unusedLocalVariables} f is only used for nested messages
 */
proto.fcp.order.v1.order.GetCancelFastDealItemRequest.toObject = function(includeInstance, msg) {
  var f, obj = {
    id: jspb.Message.getFieldWithDefault(msg, 1, 0)
  };

  if (includeInstance) {
    obj.$jspbMessageInstance = msg;
  }
  return obj;
};
}


/**
 * Deserializes binary data (in protobuf wire format).
 * @param {jspb.ByteSource} bytes The bytes to deserialize.
 * @return {!proto.fcp.order.v1.order.GetCancelFastDealItemRequest}
 */
proto.fcp.order.v1.order.GetCancelFastDealItemRequest.deserializeBinary = function(bytes) {
  var reader = new jspb.BinaryReader(bytes);
  var msg = new proto.fcp.order.v1.order.GetCancelFastDealItemRequest;
  return proto.fcp.order.v1.order.GetCancelFastDealItemRequest.deserializeBinaryFromReader(msg, reader);
};


/**
 * Deserializes binary data (in protobuf wire format) from the
 * given reader into the given message object.
 * @param {!proto.fcp.order.v1.order.GetCancelFastDealItemRequest} msg The message object to deserialize into.
 * @param {!jspb.BinaryReader} reader The BinaryReader to use.
 * @return {!proto.fcp.order.v1.order.GetCancelFastDealItemRequest}
 */
proto.fcp.order.v1.order.GetCancelFastDealItemRequest.deserializeBinaryFromReader = function(msg, reader) {
  while (reader.nextField()) {
    if (reader.isEndGroup()) {
      break;
    }
    var field = reader.getFieldNumber();
    switch (field) {
    case 1:
      var value = /** @type {number} */ (reader.readInt64());
      msg.setId(value);
      break;
    default:
      reader.skipField();
      break;
    }
  }
  return msg;
};


/**
 * Serializes the message to binary data (in protobuf wire format).
 * @return {!Uint8Array}
 */
proto.fcp.order.v1.order.GetCancelFastDealItemRequest.prototype.serializeBinary = function() {
  var writer = new jspb.BinaryWriter();
  proto.fcp.order.v1.order.GetCancelFastDealItemRequest.serializeBinaryToWriter(this, writer);
  return writer.getResultBuffer();
};


/**
 * Serializes the given message to binary data (in protobuf wire
 * format), writing to the given BinaryWriter.
 * @param {!proto.fcp.order.v1.order.GetCancelFastDealItemRequest} message
 * @param {!jspb.BinaryWriter} writer
 * @suppress {unusedLocalVariables} f is only used for nested messages
 */
proto.fcp.order.v1.order.GetCancelFastDealItemRequest.serializeBinaryToWriter = function(message, writer) {
  var f = undefined;
  f = message.getId();
  if (f !== 0) {
    writer.writeInt64(
      1,
      f
    );
  }
};


/**
 * optional int64 id = 1;
 * @return {number}
 */
proto.fcp.order.v1.order.GetCancelFastDealItemRequest.prototype.getId = function() {
  return /** @type {number} */ (jspb.Message.getFieldWithDefault(this, 1, 0));
};


/**
 * @param {number} value
 * @return {!proto.fcp.order.v1.order.GetCancelFastDealItemRequest} returns this
 */
proto.fcp.order.v1.order.GetCancelFastDealItemRequest.prototype.setId = function(value) {
  return jspb.Message.setProto3IntField(this, 1, value);
};





if (jspb.Message.GENERATE_TO_OBJECT) {
/**
 * Creates an object representation of this proto.
 * Field names that are reserved in JavaScript and will be renamed to pb_name.
 * Optional fields that are not set will be set to undefined.
 * To access a reserved field use, foo.pb_<name>, eg, foo.pb_default.
 * For the list of reserved names please see:
 *     net/proto2/compiler/js/internal/generator.cc#kKeyword.
 * @param {boolean=} opt_includeInstance Deprecated. whether to include the
 *     JSPB instance for transitional soy proto support:
 *     http://goto/soy-param-migration
 * @return {!Object}
 */
proto.fcp.order.v1.order.GetCancelFastDealItemResponse.prototype.toObject = function(opt_includeInstance) {
  return proto.fcp.order.v1.order.GetCancelFastDealItemResponse.toObject(opt_includeInstance, this);
};


/**
 * Static version of the {@see toObject} method.
 * @param {boolean|undefined} includeInstance Deprecated. Whether to include
 *     the JSPB instance for transitional soy proto support:
 *     http://goto/soy-param-migration
 * @param {!proto.fcp.order.v1.order.GetCancelFastDealItemResponse} msg The msg instance to transform.
 * @return {!Object}
 * @suppress {unusedLocalVariables} f is only used for nested messages
 */
proto.fcp.order.v1.order.GetCancelFastDealItemResponse.toObject = function(includeInstance, msg) {
  var f, obj = {
    item: (f = msg.getItem()) && proto.fcp.order.v1.order.CancelFastDealItem.toObject(includeInstance, f)
  };

  if (includeInstance) {
    obj.$jspbMessageInstance = msg;
  }
  return obj;
};
}


/**
 * Deserializes binary data (in protobuf wire format).
 * @param {jspb.ByteSource} bytes The bytes to deserialize.
 * @return {!proto.fcp.order.v1.order.GetCancelFastDealItemResponse}
 */
proto.fcp.order.v1.order.GetCancelFastDealItemResponse.deserializeBinary = function(bytes) {
  var reader = new jspb.BinaryReader(bytes);
  var msg = new proto.fcp.order.v1.order.GetCancelFastDealItemResponse;
  return proto.fcp.order.v1.order.GetCancelFastDealItemResponse.deserializeBinaryFromReader(msg, reader);
};


/**
 * Deserializes binary data (in protobuf wire format) from the
 * given reader into the given message object.
 * @param {!proto.fcp.order.v1.order.GetCancelFastDealItemResponse} msg The message object to deserialize into.
 * @param {!jspb.BinaryReader} reader The BinaryReader to use.
 * @return {!proto.fcp.order.v1.order.GetCancelFastDealItemResponse}
 */
proto.fcp.order.v1.order.GetCancelFastDealItemResponse.deserializeBinaryFromReader = function(msg, reader) {
  while (reader.nextField()) {
    if (reader.isEndGroup()) {
      break;
    }
    var field = reader.getFieldNumber();
    switch (field) {
    case 1:
      var value = new proto.fcp.order.v1.order.CancelFastDealItem;
      reader.readMessage(value,proto.fcp.order.v1.order.CancelFastDealItem.deserializeBinaryFromReader);
      msg.setItem(value);
      break;
    default:
      reader.skipField();
      break;
    }
  }
  return msg;
};


/**
 * Serializes the message to binary data (in protobuf wire format).
 * @return {!Uint8Array}
 */
proto.fcp.order.v1.order.GetCancelFastDealItemResponse.prototype.serializeBinary = function() {
  var writer = new jspb.BinaryWriter();
  proto.fcp.order.v1.order.GetCancelFastDealItemResponse.serializeBinaryToWriter(this, writer);
  return writer.getResultBuffer();
};


/**
 * Serializes the given message to binary data (in protobuf wire
 * format), writing to the given BinaryWriter.
 * @param {!proto.fcp.order.v1.order.GetCancelFastDealItemResponse} message
 * @param {!jspb.BinaryWriter} writer
 * @suppress {unusedLocalVariables} f is only used for nested messages
 */
proto.fcp.order.v1.order.GetCancelFastDealItemResponse.serializeBinaryToWriter = function(message, writer) {
  var f = undefined;
  f = message.getItem();
  if (f != null) {
    writer.writeMessage(
      1,
      f,
      proto.fcp.order.v1.order.CancelFastDealItem.serializeBinaryToWriter
    );
  }
};


/**
 * optional CancelFastDealItem item = 1;
 * @return {?proto.fcp.order.v1.order.CancelFastDealItem}
 */
proto.fcp.order.v1.order.GetCancelFastDealItemResponse.prototype.getItem = function() {
  return /** @type{?proto.fcp.order.v1.order.CancelFastDealItem} */ (
    jspb.Message.getWrapperField(this, proto.fcp.order.v1.order.CancelFastDealItem, 1));
};


/**
 * @param {?proto.fcp.order.v1.order.CancelFastDealItem|undefined} value
 * @return {!proto.fcp.order.v1.order.GetCancelFastDealItemResponse} returns this
*/
proto.fcp.order.v1.order.GetCancelFastDealItemResponse.prototype.setItem = function(value) {
  return jspb.Message.setWrapperField(this, 1, value);
};


/**
 * Clears the message field making it undefined.
 * @return {!proto.fcp.order.v1.order.GetCancelFastDealItemResponse} returns this
 */
proto.fcp.order.v1.order.GetCancelFastDealItemResponse.prototype.clearItem = function() {
  return this.setItem(undefined);
};


/**
 * Returns whether this field is set.
 * @return {boolean}
 */
proto.fcp.order.v1.order.GetCancelFastDealItemResponse.prototype.hasItem = function() {
  return jspb.Message.getField(this, 1) != null;
};





if (jspb.Message.GENERATE_TO_OBJECT) {
/**
 * Creates an object representation of this proto.
 * Field names that are reserved in JavaScript and will be renamed to pb_name.
 * Optional fields that are not set will be set to undefined.
 * To access a reserved field use, foo.pb_<name>, eg, foo.pb_default.
 * For the list of reserved names please see:
 *     net/proto2/compiler/js/internal/generator.cc#kKeyword.
 * @param {boolean=} opt_includeInstance Deprecated. whether to include the
 *     JSPB instance for transitional soy proto support:
 *     http://goto/soy-param-migration
 * @return {!Object}
 */
proto.fcp.order.v1.order.SaveCancelFastDealItemRequest.prototype.toObject = function(opt_includeInstance) {
  return proto.fcp.order.v1.order.SaveCancelFastDealItemRequest.toObject(opt_includeInstance, this);
};


/**
 * Static version of the {@see toObject} method.
 * @param {boolean|undefined} includeInstance Deprecated. Whether to include
 *     the JSPB instance for transitional soy proto support:
 *     http://goto/soy-param-migration
 * @param {!proto.fcp.order.v1.order.SaveCancelFastDealItemRequest} msg The msg instance to transform.
 * @return {!Object}
 * @suppress {unusedLocalVariables} f is only used for nested messages
 */
proto.fcp.order.v1.order.SaveCancelFastDealItemRequest.toObject = function(includeInstance, msg) {
  var f, obj = {
    item: (f = msg.getItem()) && proto.fcp.order.v1.order.CancelFastDealItem.toObject(includeInstance, f)
  };

  if (includeInstance) {
    obj.$jspbMessageInstance = msg;
  }
  return obj;
};
}


/**
 * Deserializes binary data (in protobuf wire format).
 * @param {jspb.ByteSource} bytes The bytes to deserialize.
 * @return {!proto.fcp.order.v1.order.SaveCancelFastDealItemRequest}
 */
proto.fcp.order.v1.order.SaveCancelFastDealItemRequest.deserializeBinary = function(bytes) {
  var reader = new jspb.BinaryReader(bytes);
  var msg = new proto.fcp.order.v1.order.SaveCancelFastDealItemRequest;
  return proto.fcp.order.v1.order.SaveCancelFastDealItemRequest.deserializeBinaryFromReader(msg, reader);
};


/**
 * Deserializes binary data (in protobuf wire format) from the
 * given reader into the given message object.
 * @param {!proto.fcp.order.v1.order.SaveCancelFastDealItemRequest} msg The message object to deserialize into.
 * @param {!jspb.BinaryReader} reader The BinaryReader to use.
 * @return {!proto.fcp.order.v1.order.SaveCancelFastDealItemRequest}
 */
proto.fcp.order.v1.order.SaveCancelFastDealItemRequest.deserializeBinaryFromReader = function(msg, reader) {
  while (reader.nextField()) {
    if (reader.isEndGroup()) {
      break;
    }
    var field = reader.getFieldNumber();
    switch (field) {
    case 1:
      var value = new proto.fcp.order.v1.order.CancelFastDealItem;
      reader.readMessage(value,proto.fcp.order.v1.order.CancelFastDealItem.deserializeBinaryFromReader);
      msg.setItem(value);
      break;
    default:
      reader.skipField();
      break;
    }
  }
  return msg;
};


/**
 * Serializes the message to binary data (in protobuf wire format).
 * @return {!Uint8Array}
 */
proto.fcp.order.v1.order.SaveCancelFastDealItemRequest.prototype.serializeBinary = function() {
  var writer = new jspb.BinaryWriter();
  proto.fcp.order.v1.order.SaveCancelFastDealItemRequest.serializeBinaryToWriter(this, writer);
  return writer.getResultBuffer();
};


/**
 * Serializes the given message to binary data (in protobuf wire
 * format), writing to the given BinaryWriter.
 * @param {!proto.fcp.order.v1.order.SaveCancelFastDealItemRequest} message
 * @param {!jspb.BinaryWriter} writer
 * @suppress {unusedLocalVariables} f is only used for nested messages
 */
proto.fcp.order.v1.order.SaveCancelFastDealItemRequest.serializeBinaryToWriter = function(message, writer) {
  var f = undefined;
  f = message.getItem();
  if (f != null) {
    writer.writeMessage(
      1,
      f,
      proto.fcp.order.v1.order.CancelFastDealItem.serializeBinaryToWriter
    );
  }
};


/**
 * optional CancelFastDealItem item = 1;
 * @return {?proto.fcp.order.v1.order.CancelFastDealItem}
 */
proto.fcp.order.v1.order.SaveCancelFastDealItemRequest.prototype.getItem = function() {
  return /** @type{?proto.fcp.order.v1.order.CancelFastDealItem} */ (
    jspb.Message.getWrapperField(this, proto.fcp.order.v1.order.CancelFastDealItem, 1));
};


/**
 * @param {?proto.fcp.order.v1.order.CancelFastDealItem|undefined} value
 * @return {!proto.fcp.order.v1.order.SaveCancelFastDealItemRequest} returns this
*/
proto.fcp.order.v1.order.SaveCancelFastDealItemRequest.prototype.setItem = function(value) {
  return jspb.Message.setWrapperField(this, 1, value);
};


/**
 * Clears the message field making it undefined.
 * @return {!proto.fcp.order.v1.order.SaveCancelFastDealItemRequest} returns this
 */
proto.fcp.order.v1.order.SaveCancelFastDealItemRequest.prototype.clearItem = function() {
  return this.setItem(undefined);
};


/**
 * Returns whether this field is set.
 * @return {boolean}
 */
proto.fcp.order.v1.order.SaveCancelFastDealItemRequest.prototype.hasItem = function() {
  return jspb.Message.getField(this, 1) != null;
};





if (jspb.Message.GENERATE_TO_OBJECT) {
/**
 * Creates an object representation of this proto.
 * Field names that are reserved in JavaScript and will be renamed to pb_name.
 * Optional fields that are not set will be set to undefined.
 * To access a reserved field use, foo.pb_<name>, eg, foo.pb_default.
 * For the list of reserved names please see:
 *     net/proto2/compiler/js/internal/generator.cc#kKeyword.
 * @param {boolean=} opt_includeInstance Deprecated. whether to include the
 *     JSPB instance for transitional soy proto support:
 *     http://goto/soy-param-migration
 * @return {!Object}
 */
proto.fcp.order.v1.order.SaveCancelFastDealItemResponse.prototype.toObject = function(opt_includeInstance) {
  return proto.fcp.order.v1.order.SaveCancelFastDealItemResponse.toObject(opt_includeInstance, this);
};


/**
 * Static version of the {@see toObject} method.
 * @param {boolean|undefined} includeInstance Deprecated. Whether to include
 *     the JSPB instance for transitional soy proto support:
 *     http://goto/soy-param-migration
 * @param {!proto.fcp.order.v1.order.SaveCancelFastDealItemResponse} msg The msg instance to transform.
 * @return {!Object}
 * @suppress {unusedLocalVariables} f is only used for nested messages
 */
proto.fcp.order.v1.order.SaveCancelFastDealItemResponse.toObject = function(includeInstance, msg) {
  var f, obj = {
    id: jspb.Message.getFieldWithDefault(msg, 1, 0)
  };

  if (includeInstance) {
    obj.$jspbMessageInstance = msg;
  }
  return obj;
};
}


/**
 * Deserializes binary data (in protobuf wire format).
 * @param {jspb.ByteSource} bytes The bytes to deserialize.
 * @return {!proto.fcp.order.v1.order.SaveCancelFastDealItemResponse}
 */
proto.fcp.order.v1.order.SaveCancelFastDealItemResponse.deserializeBinary = function(bytes) {
  var reader = new jspb.BinaryReader(bytes);
  var msg = new proto.fcp.order.v1.order.SaveCancelFastDealItemResponse;
  return proto.fcp.order.v1.order.SaveCancelFastDealItemResponse.deserializeBinaryFromReader(msg, reader);
};


/**
 * Deserializes binary data (in protobuf wire format) from the
 * given reader into the given message object.
 * @param {!proto.fcp.order.v1.order.SaveCancelFastDealItemResponse} msg The message object to deserialize into.
 * @param {!jspb.BinaryReader} reader The BinaryReader to use.
 * @return {!proto.fcp.order.v1.order.SaveCancelFastDealItemResponse}
 */
proto.fcp.order.v1.order.SaveCancelFastDealItemResponse.deserializeBinaryFromReader = function(msg, reader) {
  while (reader.nextField()) {
    if (reader.isEndGroup()) {
      break;
    }
    var field = reader.getFieldNumber();
    switch (field) {
    case 1:
      var value = /** @type {number} */ (reader.readInt64());
      msg.setId(value);
      break;
    default:
      reader.skipField();
      break;
    }
  }
  return msg;
};


/**
 * Serializes the message to binary data (in protobuf wire format).
 * @return {!Uint8Array}
 */
proto.fcp.order.v1.order.SaveCancelFastDealItemResponse.prototype.serializeBinary = function() {
  var writer = new jspb.BinaryWriter();
  proto.fcp.order.v1.order.SaveCancelFastDealItemResponse.serializeBinaryToWriter(this, writer);
  return writer.getResultBuffer();
};


/**
 * Serializes the given message to binary data (in protobuf wire
 * format), writing to the given BinaryWriter.
 * @param {!proto.fcp.order.v1.order.SaveCancelFastDealItemResponse} message
 * @param {!jspb.BinaryWriter} writer
 * @suppress {unusedLocalVariables} f is only used for nested messages
 */
proto.fcp.order.v1.order.SaveCancelFastDealItemResponse.serializeBinaryToWriter = function(message, writer) {
  var f = undefined;
  f = message.getId();
  if (f !== 0) {
    writer.writeInt64(
      1,
      f
    );
  }
};


/**
 * optional int64 id = 1;
 * @return {number}
 */
proto.fcp.order.v1.order.SaveCancelFastDealItemResponse.prototype.getId = function() {
  return /** @type {number} */ (jspb.Message.getFieldWithDefault(this, 1, 0));
};


/**
 * @param {number} value
 * @return {!proto.fcp.order.v1.order.SaveCancelFastDealItemResponse} returns this
 */
proto.fcp.order.v1.order.SaveCancelFastDealItemResponse.prototype.setId = function(value) {
  return jspb.Message.setProto3IntField(this, 1, value);
};


goog.object.extend(exports, proto.fcp.order.v1.order);
